---
updatedAt: 2026-05-31T12:49:47.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Readiness Probe

The readiness probe returns a simple status response about the state of Artifactory using the Kubernetes style readiness probe. The probe can be used to measure system latency and provides an important metric to monitor.

**Since:** 7.31.x

**Security:** Requires a valid user (can be anonymous).


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Artifactory System API",
    "description": "Artifactory system configuration APIs for the JFrog Platform.\n\n**Authentication:**\n- Basic authentication using username and password\n- Access Tokens instead of password for basic authentication\n- Access Tokens as bearer token in authorization header (Authorization: Bearer <token>)\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}",
      "description": "JFrog Platform",
      "variables": {
        "jfrog_url": {
          "default": "myserver.jfrog.io",
          "description": "Your JFrog Platform hostname (e.g., mycompany.jfrog.io)"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Artifactory System",
      "description": "Artifactory system configuration APIs."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/artifactory/api/v1/system/readiness": {
      "get": {
        "tags": [
          "Artifactory System"
        ],
        "summary": "Readiness Probe",
        "description": "The readiness probe returns a simple status response about the state of Artifactory using the Kubernetes style readiness probe. The probe can be used to measure system latency and provides an important metric to monitor.\n\n**Since:** 7.31.x\n\n**Security:** Requires a valid user (can be anonymous).\n",
        "operationId": "getReadinessProbe",
        "security": [],
        "responses": {
          "200": {
            "description": "Successful request - Artifactory is working properly",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "string",
                      "example": "OK"
                    }
                  }
                },
                "example": {
                  "code": "OK"
                }
              }
            }
          },
          "500": {
            "description": "Error - Returns HTTP error code with reason if not working properly"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    }
  }
}
```